Last Comment Bug 715924 - pop3 move mail filters not truncating inbox correctly
: pop3 move mail filters not truncating inbox correctly
Status: RESOLVED FIXED
: regression
Product: MailNews Core
Classification: Components
Component: Backend (show other bugs)
: Trunk
: x86_64 Windows 7
: -- normal (vote)
: Thunderbird 12.0
Assigned To: David :Bienvenu
:
Mentors:
Depends on:
Blocks: 402392
  Show dependency treegraph
 
Reported: 2012-01-06 08:57 PST by David :Bienvenu
Modified: 2012-03-12 08:03 PDT (History)
3 users (show)
mozilla: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
proposed fix (862 bytes, patch)
2012-01-08 15:36 PST, David :Bienvenu
no flags Details | Diff | Splinter Review
fix with unit test (8.47 KB, patch)
2012-01-09 09:30 PST, David :Bienvenu
standard8: review+
Details | Diff | Splinter Review

Description David :Bienvenu 2012-01-06 08:57:18 PST
Pop3 move mail filters aren't truncating the inbox correctly after a move (i.e., berkeley mailbox discard message doesn't seem to be working). You can see this if you repair the inbox after getting new mail, and the filtered mail shows up again in the inbox.
Comment 1 David :Bienvenu 2012-01-08 15:36:00 PST
Created attachment 586855 [details] [diff] [review]
proposed fix

I'll try to come up with a unit test for this, but this patch fixes it.
Comment 2 David :Bienvenu 2012-01-09 09:30:43 PST
Created attachment 587020 [details] [diff] [review]
fix with unit test

adds a unit test - I've done a push to try with this patch - http://build.mozillamessaging.com/tinderboxpushlog?tree=ThunderbirdTry&rev=869d86b614a7
Comment 3 David :Bienvenu 2012-01-10 07:28:44 PST
fixed - http://hg.mozilla.org/comm-central/rev/b43c074160f0
Comment 4 Wayne Mery (:wsmwk, NI for questions) 2012-03-10 11:30:05 PST
bienvenu, this is a regression from which bug?
Comment 5 David :Bienvenu 2012-03-12 08:03:22 PDT
(In reply to Wayne Mery (:wsmwk) from comment #4)
> bienvenu, this is a regression from which bug?

the pluggable store work, bug 402392

Note You need to log in before you can comment on or make changes to this bug.